Subject: Re: Detailed release notes

From: Peter Eisentraut <[email-masked]>
Date: Wed, 18 Sep 2024 11:02:36 +0200

On 18.09.24 02:54, Bruce Momjian wrote:
> On Tue, Sep 17, 2024 at 08:22:41PM -0400, Tom Lane wrote:
>> Bruce Momjian <[email-masked]> writes:
>>> On Tue, Sep 17, 2024 at 03:29:54PM -0300, Marcos Pegoraro wrote:
>>>> Em ter., 17 de set. de 2024 às 05:12, Alvaro Herrera <[email-masked]>
>>>>> Add backend support for injection points (Michael Paquier) [commit 1] [2]
>>
>>> I think trying to add text to each item is both redundant and confusing,
>>
>> Also very clutter-y.  I'm not convinced that any of this is a good
>> idea that will stand the test of time: I estimate that approximately
>> 0.01% of people who read the release notes will want these links.
> 
> Yes, I think 0.01% is accurate.
> 
>> But if we keep it I think the annotations have to be very unobtrusive.
> 
> I very much agree.
> 
>> (Has anyone looked at the PDF rendering of this?  It seems rather
>> unfortunate to me.)
> 
> Oh, not good.  See my build:
> 
> 	https://momjian.us/expire/postgres-US.pdf#page=2890
> 
> Those numbers are there because all external links get numbers that
> start a 1 at the top of the section and increment for every link --- I
> have no idea why.  You can see that acronyms that have external links
> have the same numbering:
> 
> 	https://momjian.us/expire/postgres-US.pdf#page=3150
> 
> I wonder if we should remove the numbers in both cases.

Maybe this shouldn't be done between RC1 and GA.  This is clearly a more 
complex topic that should go through a proper review and testing cycle.

---

From: Marcos Pegoraro <[email-masked]>
Date: Wed, 18 Sep 2024 08:37:38 -0300

> complex topic that should go through a proper review and testing cycle.

I think this is just a question of decision, not reviewing or testing.
And I'm sure there will be more people reading Release Notes now, in
September and October, than in January or April.

regards
Marcos

---

From: Jelte Fennema-Nio <[email-masked]>
Date: Wed, 18 Sep 2024 13:46:39 +0200

On Wed, 18 Sept 2024 at 13:38, Marcos Pegoraro <[email-masked]> wrote:
> And I'm sure there will be more people reading Release Notes now, in September and October, than in January or April.

+1. Also, IMHO the links even in their current simple form of "§ § §
§" are a huge net-positive on the release notes. So yes, I'm sure we
can format them more clearly with some bikeshedding, but removing them
completely seems like an overreaction to me.

---

From: Tom Lane <[email-masked]>
Date: Wed, 18 Sep 2024 10:46:23 -0400

> I think this is just a question of decision, not reviewing or testing.

I'd say the opposite: the thing we lack is exactly testing, in the
sense of how non-hackers will react to this.  Nonetheless, I'm not
upset about trying to do it now.  We will get more feedback about
major-release notes than minor-release notes.  And the key point
is that it's okay to consider this experimental.  Unlike say a SQL
feature, there are no compatibility concerns that put a premium on
getting it right the first time.  We can adjust the annotations or
give up on them without much cost.

			regards, tom lane